using ProtoBuf;

namespace VetifyApi.Probuf
{

    [ProtoContract]
    public class PbDeviceInfo
    {
        [ProtoMember(1)]

        public string ID1 { get; set; } = "!notset!";

        [ProtoMember(2)]
        public string device_type { get; set; } = "";


        [ProtoMember(3)]
        public string OEM_ID { get; set; } = "";

        [ProtoMember(4)]

        public string ID4 { get; set; } = "!notset!";

        [ProtoMember(5)]
        public string platform { get; set; } = "Android";


        [ProtoMember(6)]
        public string os_version { get; set; } = "";


        [ProtoMember(7)]
        public string resolution { get; set; } = "";


        [ProtoMember(8)]
        public int ID8 { get; set; } = 880;


        [ProtoMember(9)]

        public string ID9 { get; set; } = "RKQ1.200826.002 test-keys";


        [ProtoMember(10)]
        public long ID10 { get; set; } = 3275623900;

        [ProtoMember(11)]
        public string ID11 { get; set; } = "en_US";


        [ProtoMember(12)]
        public string tz_name { get; set; } = "America/Los_Angeles,-10";

        [ProtoMember(13)]
        public long ID13 { get; set; } =204;

        [ProtoMember(14)]
        public long ID14 { get; set; } = 200;


        [ProtoMember(15)]
        public long ID15 { get; set; } = 15726206976;


        [ProtoMember(16)]
        public ulong ID16 { get; set; } = 486924378112;


        [ProtoMember(17)]
        public long ID17 { get; set; } =  486924378112;


        [ProtoMember(18)]
        public ulong ID18 { get; set; } =  401042046976;


        [ProtoMember(19)]
        public string ID19 { get; set; } = "!notset!";

        [ProtoMember(20)]
        public string idfv { get; set; } = "!notset!";


        [ProtoMember(21)]

        public string ID21 { get; set; } = "!notset!";


        [ProtoMember(22)]

        public string ID22 { get; set; } = "!notset!";

        [ProtoMember(23)]

        public string ID23 { get; set; } = "!notset!";


        [ProtoMember(24)]

        public string ID24 { get; set; } = "IFDSrlyegWa5fb6o5xM4nb2edAzmsvE+l5EUK0XJuGA=";


        [ProtoMember(25)]

        public ulong time1 { get; set; }


        [ProtoMember(26)]
        public string idfv1 { get; set; } = "256a595a-973e-419d-8535-d8ad7a4d2531";


        [ProtoMember(27)]
        public ulong ID27 { get; set; } = 752543318016;


        [ProtoMember(28)]

        public string ID28 { get; set; } = "!notset!";



        [ProtoMember(29)]

        public ulong time2 { get; set; }


        [ProtoMember(30)]

        public ulong time3 { get; set; }


        [ProtoMember(31)]

        public string ID31 { get; set; } = "!notset!";


        [ProtoMember(32)]

        public string LocalIp { get; set; } = "192.168.8.235";



        [ProtoMember(33)]

        public string MarkIp { get; set; } = "192.168.8.1";


        [ProtoMember(34)]

        public string ID34 { get; set; } = "!notset!";


        [ProtoMember(35)]

        public string ID35 { get; set; } = "!notset!";


        [ProtoMember(36)]

        public long ID36 { get; set; } = 1999997;


        [ProtoMember(37)]

        public long ID37 { get; set; } = 1999997;


        [ProtoMember(38)]

        public string ID38 { get; set; } = "!notset!";


        [ProtoMember(39)]

        public string ID39 { get; set; } = "!notset!";


        [ProtoMember(40)]

        public string ID40 { get; set; } = "[\"192.168.8.1\",\"0.0.0.0\"]";

        [ProtoMember(41)]
        public long ID41 { get; set; } = 1999997;



        [ProtoMember(42)]
        public long ID42 { get; set; } = 1999997;



        [ProtoMember(44)]

        public string ID44 { get; set; } = "!notset!";


        [ProtoMember(45)]
        public long ID45 { get; set; } = 3497310412;

        [ProtoMember(46)]
        public long ID46 { get; set; } = 3497310412;


        [ProtoMember(47)]

        public string ID47 { get; set; } = "/data/app/~~fVvteTaZrqx_9qdVGZcvRA==/com.zhiliaoapp.musically--J2sVJwGaOBhW7a1X1DcxA==/base.apk";


        [ProtoMember(48)]
        public long os_api { get; set; } = 60;//az_api


        [ProtoMember(49)]
        public long ID49 { get; set; } = 1999997;


        [ProtoMember(50)]

        public string ID50 { get; set; } = "!notset!";

        [ProtoMember(51)]
        public long ID51 { get; set; } = 1999997;


        [ProtoMember(52)]
        public long ID52 { get; set; } = 1999997;


        [ProtoMember(53)]

        public string ID53 { get; set; } = "!notset!";


        [ProtoMember(54)]

        public string ID54 { get; set; } = "!notset!";



        [ProtoMember(55)]

        public string ID55 { get; set; } = "!notset!";


        [ProtoMember(56)]
        public long ID56 { get; set; } = 1999997;











    }








    [ProtoContract]
    public class getTokenReq
    {
        [ProtoMember(1)]
        public PbDeviceInfo ccd { get; set; }

        //[ProtoMember(2)]
        //public string ID2 { get; set; } = "";

        [ProtoMember(3)]
        public string platform { get; set; } = "android";

        [ProtoMember(4)]
        public string sdk_ver { get; set; } = "v05.01.08-alpha.18-ov-android";

        [ProtoMember(5)]
        public long ID5 { get; set; } =167907392;

        [ProtoMember(6)]
        public string aid { get; set; } = "1233";

        [ProtoMember(7)]
        public string app_version { get; set; } = "39.8.4";

        [ProtoMember(8)]
        public string device_id { get; set; } = "";

        [ProtoMember(9)]
        public byte[] ID9 { get; set; } = new byte[16];

        [ProtoMember(10)]
        public long ID10 { get; set; } = 1999997;

        [ProtoMember(11)]
        public long ID11 { get; set; } = 1999997;

        [ProtoMember(12)]
        public string ID12 { get; set; } = "2b2817e2-5881-4052-8628-c62271702d3a";

        [ProtoMember(15)]
        public string ID15 { get; set; } = "!notset!";


        [ProtoMember(16)]
        public long ID16 { get; set; } = 1999997;




    }
}
